Skip to main content
POST
/
v1
/
calls
/
{call_id}
/
stop
Stop Call
curl --request POST \
  --url https://api.oneinbox.ai/v1/calls/{call_id}/stop \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "agent_id": "<string>",
  "type": "<string>",
  "status": "<string>",
  "from_number": "<string>",
  "to_number": "<string>",
  "room_name": "<string>",
  "direction": "<string>",
  "scheduled_at": "2023-11-07T05:31:56Z",
  "variables": {},
  "started_at": "2023-11-07T05:31:56Z",
  "ended_at": "2023-11-07T05:31:56Z",
  "duration_seconds": 123,
  "end_reason": "<string>",
  "transcript": "<string>",
  "messages": [
    "<unknown>"
  ],
  "recording_url": "<string>",
  "analysis": {},
  "latency": {},
  "cost_cents": 123,
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "twilio_call_sid": "<string>",
  "outcome": "<string>",
  "ai_summary": "<string>",
  "credits_used": 123
}

Authorizations

Authorization
string
header
required

Your API key sent as a Bearer credential — Authorization: Bearer <api_key>, where <api_key> starts with oi_sk_ (create one via POST /v1/api-keys). Although the field is labelled 'token', paste your API key here. A dashboard JWT is also accepted on this header for the same endpoints.

Path Parameters

call_id
string<uuid>
required

Response

Successful Response

id
string
required
agent_id
string
required
type
string
required
status
string
required
from_number
string | null
required
to_number
string | null
required
room_name
string | null
required
direction
string
required
scheduled_at
string<date-time> | null
required
variables
Variables · object
required
started_at
string<date-time> | null
required
ended_at
string<date-time> | null
required
duration_seconds
number | null
required
end_reason
string | null
required
transcript
string | null
required
messages
any[]
required
recording_url
string | null
required
analysis
Analysis · object
required
latency
Latency · object
required
cost_cents
integer | null
required
metadata
Metadata · object
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
twilio_call_sid
string | null
outcome
string | null
ai_summary
string | null
credits_used
number | null